/*
 *  Copyright (C) 2008 Nuke (wiinuke@gmail.com)
 *
 *  this file is part of GeckoOS for USB Gecko
 *  http://www.usbgecko.com
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __GECKODVD_H__
#define __GECKODVD_H__

// Globals
int wiidrivemode;
int dvdmode;


// Function prototypes
s32 dvd_openios();
u32 dvd_closeios();
s32 dvd_reset();
s32 dvd_inquiry();
s32 dvd_readid();
s32 dvd_readunc(void *buffer,u32 len, s64 offset);
s32 dvd_read1(void *buffer,u32 len,s64 offset);
s32 dvd_stopdrive();
s32 dvd_stoplaser();
s32 dvd_getbca();
s32 dvd_readkey();
s32 dvd_reportkey();
s32 dvd_errorcode();
s32 dvd_openpart();
int commands_dumpdvd();
void wiidvd_stop();


#endif // __GECKODVD_H__
